=== debian/changelog ===
mrgingham (1.20-5build1) kinetic; urgency=medium

  * No-change rebuild against libopencv-core406

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Jul 2022 06:19:03 +0000

mrgingham (1.20-5) unstable; urgency=medium

  * Build works with python3.10 (Closes: #1008746)

 -- Dima Kogan <dkogan@debian.org>  Sat, 02 Apr 2022 12:21:14 -0700

mrgingham (1.20-4) unstable; urgency=medium

  * Building for ALL the available Python versions (Closes: #1001764)

 -- Dima Kogan <dkogan@debian.org>  Tue, 21 Dec 2021 11:20:53 -0800

mrgingham (1.20-3) unstable; urgency=medium

  * Build-Depends: libpython3-all-dev -> libpython3-dev (Closes: #999832)

 -- Dima Kogan <dkogan@debian.org>  Fri, 19 Nov 2021 18:03:39 -0800

mrgingham (1.20-2) unstable; urgency=medium

  * Removed the symbols file. Bug fix: "symbols files need updates for
    various architectures", thanks to Matthias Klose (Closes: #999481).

 -- Dima Kogan <dkogan@debian.org>  Fri, 12 Nov 2021 11:24:35 -0800

mrgingham (1.20-1) unstable; urgency=medium

  * Initial release into Debian (Closes: #998794)

 -- Dima Kogan <dkogan@debian.org>  Mon, 08 Nov 2021 12:56:09 -0800
