=== debian/control ===
Source: mrgingham
Priority: optional
Section: devel
Build-Depends: debhelper-compat (= 13), dh-python,
 libopencv-dev,
 libboost-dev,
 pkg-config,
 chrpath,
 python3-all, python3-all-dev,
 perl,
 mawk,
 python3-numpy
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Standards-Version: 3.9.8
Homepage: https://github.com/dkogan/mrgingham/
Vcs-Git: https://salsa.debian.org/science-team/mrgingham.git
Vcs-Browser: https://salsa.debian.org/science-team/mrgingham
Testsuite: autopkgtest-pkg-python

Package: libmrgingham2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chessboard finder for visual calibration routines
 Given an observed image containing a chessboard or a grid of circles, mrgingham
 locates the board in the image, and precisely computes the location of the
 chessboard corners (or circle centers). This is similar to the routines in
 OpenCV, but is faster and more robust.
 .
 This package provides the runtime C++ libraries

Package: mrgingham
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmrgingham2 (= ${binary:Version}),
  python3-vnlog,
  python3-numpysane,
  python3-gnuplotlib,
  python3:any
Description: Chessboard finder for visual calibration routines
 Given an observed image containing a chessboard or a grid of circles, mrgingham
 locates the board in the image, and precisely computes the location of the
 chessboard corners (or circle centers). This is similar to the routines in
 OpenCV, but is faster and more robust.
 .
 This package provides the user-facing tools

Package: libmrgingham-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libmrgingham2 (= ${binary:Version})
Description: Chessboard finder for visual calibration routines
 Given an observed image containing a chessboard or a grid of circles, mrgingham
 locates the board in the image, and precisely computes the location of the
 chessboard corners (or circle centers). This is similar to the routines in
 OpenCV, but is faster and more robust.
 .
 This package provides the development C++ libraries

Package: python3-mrgingham
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmrgingham2 (= ${binary:Version}),
         ${python3:Depends}
Provides: ${python3:Provides}
Description: Chessboard finder for visual calibration routines
 Given an observed image containing a chessboard or a grid of circles, mrgingham
 locates the board in the image, and precisely computes the location of the
 chessboard corners (or circle centers). This is similar to the routines in
 OpenCV, but is faster and more robust.
 .
 This package provides the Python interfaces
