=== debian/changelog ===
mrgingham (1.22-1) unstable; urgency=medium

  * New upstream release: mrgingham-rotate-corners tool

 -- Dima Kogan <dkogan@debian.org>  Thu, 22 Sep 2022 16:46:25 -0700

mrgingham (1.21-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Tue, 13 Sep 2022 19:41:24 -0700
