=== debian/control ===
--- 
+++ 
@@ -9,9 +9,12 @@
  python3-all, python3-all-dev,
  perl,
  mawk,
+# for the tests
+ zsh,
+# for mrgingham-rotate-corners (its tests)
+ vnlog,
  python3-numpy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 3.9.8
 Homepage: https://github.com/dkogan/mrgingham/
@@ -38,7 +41,9 @@
   python3-vnlog,
   python3-numpysane,
   python3-gnuplotlib,
-  python3:any
+  python3:any,
+# for mrgingham-rotate-corners
+  vnlog
 Description: Chessboard finder for visual calibration routines
  Given an observed image containing a chessboard or a grid of circles, mrgingham
  locates the board in the image, and precisely computes the location of the
