## mrgingham 1.24

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
-include mrbuild/Makefile.common.header
+include choose_mrbuild.mk
+include $(MRBUILD_MK)/Makefile.common.header
+
 
 
 PROJECT_NAME := mrgingham
@@ -50,7 +52,7 @@
 # I construct the README.org from the template. The only thing I do is to insert
 # the manpages. Note that this is more complicated than it looks:
 #
-# 1. The documentation is extracted into a .pod by make-pod-from-help.pl
+# 1. The documentation is extracted into a .pod by make-pod-from-help
 # 2. This documentation is stripped out here wih pod2text, and included in the
 #    README. This README is an org-mode file, and the README.template.org
 #    container included the manpage text inside a #+BEGIN_EXAMPLE/#+END_EXAMPLE.
@@ -79,7 +81,7 @@
 %.1: %.pod
 	pod2man --center="mrgingham: chessboard corner finder" --name=MRGINGHAM --release="mrgingham $(VERSION)" --section=1 $^ $@
 %.pod: %
-	mrbuild/make-pod-from-help.pl $< > $@.tmp
+	$(MRBUILD_BIN)/make-pod-from-help $< > $@.tmp
 	cat footer.pod >> $@.tmp
 	mv $@.tmp $@
 EXTRA_CLEAN += *.1 $(addsuffix .pod,$(DIST_BIN)) README.org
@@ -89,6 +91,16 @@
 EXTRA_CLEAN += *.usage.h
 
 mrgingham-from-image.o: mrgingham.usage.h
+
+########## chessboard-generating rules
+########## I can "make chessboard.10x14.pdf" and it'll do the right thing
+chessboard.%.fig: generate-chessboard-fig.py
+	./$< $(subst x, ,$*) > $@.tmp
+	mv $@.tmp $@
+%.pdf: %.fig
+	fig2dev -L pdf $< > $@.tmp
+	mv $@.tmp $@
+
 
 ########## python stuff
 
@@ -101,16 +113,17 @@
 mrgingham_pywrap_cplusplus_bridge.o: CCXXFLAGS += -fPIC
 mrgingham_pywrap.o: $(addsuffix .h,$(wildcard *.docstring))
 
-# The python library is called "mrgingham.so". This is confusing, but is the
+# The python library is called "mrgingham.$(SO)". This is confusing, but is the
 # best I could do. Because I want to be able to "import mrgingham"; and the
 # normal way of creating a "mrgingham" subdirectory for all the python stuff
 # doesn't work here: I already have a directory entry called "mrgingham"; it's
 # the main commandline tool.
-mrgingham$(PY_EXT_SUFFIX): mrgingham_pywrap.o mrgingham_pywrap_cplusplus_bridge.o libmrgingham.so
+mrgingham$(PY_EXT_SUFFIX): mrgingham_pywrap.o mrgingham_pywrap_cplusplus_bridge.o libmrgingham.$(SO)
 	$(PY_MRBUILD_LINKER) $(PY_MRBUILD_LDFLAGS) $^ -o $@
 
 DIST_PY3_MODULES := mrgingham$(PY_EXT_SUFFIX)
 
 all: mrgingham$(PY_EXT_SUFFIX)
 
-include mrbuild/Makefile.common.footer
+include $(MRBUILD_MK)/Makefile.common.footer
+
