=== debian/changelog ===
mrgingham (1.24-1ubuntu1) noble; urgency=medium

  * d/patches/pkg-config-numpy.patch: Use pkg-config to find numpy headers.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 11 Apr 2024 14:00:42 +1200

mrgingham (1.24-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:10:25 +0000

mrgingham (1.24-1build2) noble; urgency=high

  * No change rebuild against libopencv-features2d406t64, libopencv-
    core406t64, libopencv-imgcodecs406t64, libopencv-imgproc406t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:41:57 +0100

mrgingham (1.24-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 19:23:44 +0100

mrgingham (1.24-1) unstable; urgency=medium

  * New upstream release
    - blob detector can find smaller circles
    - Python API: renamed functions (previous ones remain, for
      compatibility). New functions are find_board() and
      find_points()
    - Python API: find_board() and find_points() can find blobs

 -- Dima Kogan <dkogan@debian.org>  Thu, 28 Sep 2023 23:35:20 -0700

mrgingham (1.23-1) unstable; urgency=medium

  * New upstream release
    - bug fix in the Python API: find_chessboard() returns proper output

 -- Dima Kogan <dkogan@debian.org>  Wed, 30 Aug 2023 12:56:47 -0700

mrgingham (1.22.1-1) unstable; urgency=medium

  * New upstream release
    - Minor build updates for old distros

 -- Dima Kogan <dkogan@debian.org>  Tue, 27 Sep 2022 00:41:51 -0700
