=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: mrgingham
 Priority: optional
 Section: devel
-Build-Depends: debhelper-compat (= 13), dh-python,
+Build-Depends: debhelper (>= 11), dh-python,
  libopencv-dev,
  libboost-dev,
  pkg-config,
+ mrbuild,
  chrpath,
  python3-all, python3-all-dev,
  perl,
@@ -12,9 +13,10 @@
 # for the tests
  zsh,
 # for mrgingham-rotate-corners (its tests)
- vnlog,
+ vnlog (>= 1.33),
  python3-numpy
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 3.9.8
 Homepage: https://github.com/dkogan/mrgingham/
@@ -43,7 +45,7 @@
   python3-gnuplotlib,
   python3:any,
 # for mrgingham-rotate-corners
-  vnlog
+  vnlog (>= 1.33)
 Description: Chessboard finder for visual calibration routines
  Given an observed image containing a chessboard or a grid of circles, mrgingham
  locates the board in the image, and precisely computes the location of the
