## mrgingham 1.25

=== debian/changelog ===
mrgingham (1.25-1) unstable; urgency=medium

  * New upstream release (Closes: #1098892)

 -- Dima Kogan <dkogan@debian.org>  Fri, 07 Mar 2025 15:38:26 -0800

mrgingham (1.24-2) unstable; urgency=medium

  * Added Build-Depends:python3-setuptools (Closes: #1080938)

 -- Dima Kogan <dkogan@debian.org>  Thu, 05 Sep 2024 19:14:48 -0700
