=== debian/changelog ===
mrgingham (1.26-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:46:10 +0000

mrgingham (1.26-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Wed, 19 Mar 2025 11:00:24 -0700
