=== debian/control ===
--- 
+++ 
@@ -7,6 +7,9 @@
  pkg-config,
  mrbuild,
  chrpath,
+# for "make install" to work. See
+#   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1080938
+ python3-setuptools,
  python3-all, python3-all-dev,
  perl,
  mawk,
@@ -15,8 +18,7 @@
 # for mrgingham-rotate-corners (its tests)
  vnlog (>= 1.33),
  python3-numpy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 3.9.8
 Homepage: https://github.com/dkogan/mrgingham/
